﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Com.Piwigo.Wpf.DTO
{
    public class LocalPwgCategoryListWPF : AsyncObservableCollection<LocalPwgCategoryWPF>
    {}

    public class LocalPwgCategoryWPF : INotifyPropertyChanged
    {
        private Int32 _id;
        public Int32 Id
        {
            set { _id = value; OnPropertyChanged("Id"); }
            get { return _id; }
        }

        private String _messageInfo;
        public String MessageInfo
        {
            set { _messageInfo = value; OnPropertyChanged("MessageInfo"); }
            get { return _messageInfo; }
        }

        private String _name;
        public String Name
        {
            set { _name = value; OnPropertyChanged("Name"); }
            get { return _name; }
        }

        private Int32 _upperCatId;
        public Int32 UpperCatId
        {
            set { _upperCatId = value; OnPropertyChanged("UpperCatId"); }
            get { return _upperCatId; }
        }
        
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(info));
        }
    }
}
